// Задания

// Постановки задач
var SetTasks = new Array(
'Отметьте правильные равенства:',
'На каких рисунках изображены овощи?',
'Кушать подано! Где художник не ошибся?',
'Кушать подано! Где художник ошибся?'
                     );

// Варианты
var Variants = new Array(
  new Array( 
'1+2=2',
'1+2=3',
'1+2=4'
           ),

  new Array( 
'<IMG src="./pic/0130.jpg" border=0 hspace=0 vspace=0 alt="">',
'<IMG src="./pic/0131.jpg" border=0 hspace=0 vspace=0 alt="">',
'<IMG src="./pic/0132.jpg" border=0 hspace=0 vspace=0 alt="">',
'<IMG src="./pic/0133.jpg" border=0 hspace=0 vspace=0 alt="">'
           ),

  new Array( 
'<IMG src="./pic/0134.jpg" border=0 hspace=0 vspace=0 alt="">',
'<IMG src="./pic/0135.jpg" border=0 hspace=0 vspace=0 alt="">',
'<IMG src="./pic/0136.jpg" border=0 hspace=0 vspace=0 alt="">',
'<IMG src="./pic/0137.jpg" border=0 hspace=0 vspace=0 alt="">'
           ),
  new Array( 
'<IMG src="./pic/0142.jpg" border=0 hspace=0 vspace=0 alt="">',
'<IMG src="./pic/0143.jpg" border=0 hspace=0 vspace=0 alt="">',
'<IMG src="./pic/0144.jpg" border=0 hspace=0 vspace=0 alt="">',
'<IMG src="./pic/0135.jpg" border=0 hspace=0 vspace=0 alt="">'
           )
                        );


// Ответы
var Answers =  new Array(
  new Array( 
false,  
true,   
false   
           ),


  new Array( 
true,   
false,  
true,   
false  
           ),

  new Array( 
true,  
false,  
true,   
true  
           ),

  new Array( 
false,  
true,  
false,  
true   
           )

               );


//-----------------------------
// Построение зачетного класса
//-----------------------------
function ShowZRU(teach)
{
  var i;
  var str = '<P>Нажмите кнопку <SPAN class=mark>Сброс</SPAN>, затем приступайте к решению.</P>';
  str += '<FORM name=exam><P><IMG src=./pic/clear.gif';
  str += ' width=113 height=41 border=0 alt=Сброс';
  str += ' onmouseup   ="room.Ini()"';
  str += ' onmousedown ="this.src=\'./pic/clear2.gif\'"';
  str += ' onmouseover ="this.src=\'./pic/clear1.gif\'"';
  str += ' onmouseout  ="this.src=\'./pic/clear.gif\'">';

  // Построение заданий
  // Флажки
  for (i=0; i<SetTasks.length; i++)
    str += ZFlagRU(teach, i, SetTasks[i], Variants[i], Answers[i]);

  str +='<P>Чтобы увидеть результат работы, нажмите кнопку <SPAN class=mark>Оценка</SPAN>.';
  str +='<P><IMG src=./pic/bonus.gif width=113 height=41';
  str +=' border=0 alt=Оценка';
  str +=' onmouseup   ="room.Bonus()"';
  str +=' onmousedown ="this.src=\'./pic/bonus2.gif\'"';
  str +=' onmouseover ="this.src=\'./pic/bonus1.gif\'"';
  str +=' onmouseout  ="this.src=\'./pic/bonus.gif\'">';
  str +='</FORM>';

  document.write(str);
  room = new CheckTasks(SetTasks.length, document.forms["exam"]);
}
